/*Universal selector*/
* {
  font-family: "Courier New", monospace;
  font-size: 20px;
}

body {
  background-color: skyblue;
}

html {
  scroll-behavior: smooth;
}

/* navigation symantics */
nav {
  background-color: white;
}

/*selector: hover pseudo class*/
/*changes the style when hovered over*/
a:hover {
  background-color: #b4d6de;
}

div {
  display: inline-block;
  float: right;
}

/*Element selector*/
h1 {
  color: blue !important;
  text-align: center;
  font-size: 2rem;
}

/*section*/
section {
  height: 100vh;
  text-align: center;
}
/* Relative units */
h2 {
  /*font-size: 1.5rem;*/
  text-align: center;
}

/*CSS Rules
	selector{
		property:  value;
	}
*/

/*h1{color:  yellow;}*/

/*Adjacent Sibling Selector
	- Used to select an element that is DIRECTORY after another specific element
	- +
	- selector + selector
*/
/* Adjacent */
h3 + img {
  height: 300px;
  border-width: 300px;
  border-radius: 50%;
}

ol {
  list-style-type: none;
}

/*#zuitt-motto + img{
	height: 300px;
	border-width: 300px;
	border-radius: 150px;
}*/

/*Descendant Selector
	- used to match all elements that are descendants ofa specified element	
	- [whitespace]
	- selector selector
*/

#bootcamp-learning-list li {
  color: #075966;
}

/*	General Sibling Selector
		- used to select all elements that are next siblings of a specified element
		- ~
		- selector ~ selector
*/

h2 ~ a {
  text-decoration: none;
}

a {
  text-decoration: none;
}

/*Register section*/
form {
  text-align: center;
  background-color: white;
  border: 2px solid black;
  height: 185px;
  width: 25vw;
  position: relative;
  left: 38%;
}

/*Child Selector
	- used to select all elements that are the children of a specified element
	- >
	- selector > selector
*/
body > section > form > label {
  color: rgb(0, 0, 128);
}

/*ID selector*/
/*#zuitt-motto{
	letter-spacing: 5px;
	color: brown;
}
*/

/*Class selector*/
.offering-item {
  text-transform: uppercase;
  color: indianred;
}

/*Attribute selector*/
/*tagname [attribute]*/
input[required] {
  border-width: 2px;
  border-style: solid;
  border-color: navy;
  width: 90%;
}
/* button */
button {
  background-color: #cf0053;
  color: white;
  border: 0;
  border-radius: 15px;
}
